Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Dec 2020 22:47:02 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 17 Dec 2020 14:56:40 -0500
> 
> >> But in the present case, the only change is the w->start
> >> an the position of point: these are important enough to need to update
> >> the mode line (for the column&line number), but I don't think these are
> >> important enough to justify setting `update_mode_lines` to 42:
> >> not only other frames can't be affected, but even the current frame's
> >> title should basically never be affected either because it would be very
> >> unusual to have the line/column number as part of the frame title.
> >
> > "Unusual" doesn't mean "unsupported".
> 
> I just tried to test my proposed patch to see if it breaks this feature,
> and it turns out that it's very definitely unusual: I don't know if it's
> supposed to be supported, but at least I can say that it doesn't work ;-)
> 
> At least:
> 
>     emacs -Q --eval '(setq frame-title-format "(%l,%c)")'
> 
> shows me "(,)" as the frame title with the code in `master` as well as
> with Emacs-25 and Emacs-27.

If you meant %l and %c, then we were mis-communicating: these two
aren't supported in frame titles, it's documented.